play.cache

## Class DefaultCacheKeyGenerator

- java.lang.Object
- - play.cache.DefaultCacheKeyGenerator

All Implemented Interfaces:
  CacheKeyGenerator

    public class DefaultCacheKeyGenerator
    extends java.lang.Object
    implements CacheKeyGenerator

The Default Cache Key Generator

### Constructor Summary

Constructors
Constructor and Description
`DefaultCacheKeyGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `generate(Http.Request request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultCacheKeyGenerator

    public DefaultCacheKeyGenerator()

### Method Detail

#### generate

    public java.lang.String generate(Http.Request request)

Specified by:
  `generate` in interface `CacheKeyGenerator`